import QtQuick 1.1
import se.flir 1.0

//! Diff item is an item that signifies a 'Diff' measurement function.
//!
//! This item can receive focus only when the diff is selected from the menu,
//! The (current) sole purpose of this file is that we can select the
//! diff, in order to provide user input to it. And equally important,
//! to allow unselecting (done by the MeasureTools when it receives an 'keys.back')


Item {
    width: 1
    height: 1

    property bool mySelection: selected
    onMySelectionChanged: if (selected === true) forceActiveFocus()
}
