import QtQuick 1.1

// ResultTableDelegateRow
// -------------------
// Helper item for a single row in ResultTableDelagate


Item {
    property alias _label: labelId.text
    property alias _value: valueId.text
    property alias column1Width: labelId.width
    property alias column2Width: valueId.width
    property string labelType: "label"
    property string valueType: "value"
    id: fileRoot

    signal widthsChanged

    width: parent.width - grid.horizontalSpacing
    height: (labelId.text !== "" || valueId.text !== "") ? grid.resultTableRowHeight : 0

    Text {
        id: labelId
        anchors.left: parent.left
        font.family: fonts.family
        font.pixelSize: fonts.miniSize
        color: colors.textNormal

        onImplicitWidthChanged: parent.widthsChanged()
    }

    Text {
        id: valueId
        y: (parent.height - paintedHeight) / 2
        anchors.right: parent.right
        anchors.rightMargin: 2
        font.family: fonts.latinFamily
        font.pixelSize: resultTable.totalCount > 1 ? fonts.mediumSize : fonts.largeSize
        color: colors.textFocused

        onImplicitWidthChanged: parent.widthsChanged()
    }

    // Make positioning work properly
    states: [
        State {
            name: "nameValuePair" // when we have a 'valueId' value, anchors the label to its baseline
            when: valueId.text !== ""
            AnchorChanges {
                target: labelId
                anchors.baseline: valueId.baseline
            }
        },
        State {
            name: "title" // when the valueId is empty, the above anchor would look silly
            when: valueId.text === ""
            AnchorChanges {
                target: labelId
                anchors.verticalCenter: fileRoot.verticalCenter
            }
        }
    ]
}
