import QtQuick 1.1

//facet 'greenbox' enums are exposed via qmlRegisterType(FLIR::UI::Interface) in c++
import GreenBox 1.0
import System 1.0

// Desktop
// -------
// The "transparent" item that is the parent of all other QML elements.

Rectangle {
    id: root
    objectName: "rootElement"
    width: grid.width
    height: grid.height
    color: colors.transparent


    Image{
        id: laserOnIndicator
        objectName: "laserOnIndicator"
        source: flirSystem.laserActive ? "../images/Sc_Status_Laser.png" : ""
        z: 1000000000  // En miljard ska väl räcka
        transformOrigin: Item.TopLeft
        visible: flirSystem.laserActive

        function updateLocation(coordinateReference, placeholderItem)
        {
            var localTransform = mapFromItem( coordinateReference, placeholderItem.x,placeholderItem.y  )
            var rootTransform = mapToItem( root,localTransform.x,localTransform.y  )

            laserOnIndicator.x = rootTransform.x
            laserOnIndicator.y = rootTransform.y
            laserOnIndicator.rotation = coordinateReference.rotation
        }
    }

}
