import QtQuick 1.1

Item {
    id: footer
    width: parent.width - grid.unit*8
    height: visible ? grid.cellHeight + grid.bottomMargin : 0

    property alias  text: textIdText.text
    property string icon: "../images/Ic_GlobalDialogue_Info_Sel.png"

    anchors.left: parent.left
    anchors.bottom: parent.bottom

    BorderImage {
        id: lineImage
        source: "../images/Bg_DialoguePopUp_Line_Def.png"
        border { left: 50; top: 0; right: 50; bottom: 0 }
        anchors.left: parent.left
        anchors.leftMargin: grid.horizontalSpacing
        width: parent.width + grid.unit*8 - 2* grid.horizontalSpacing
        anchors.bottom: footer.top
    }

    Image {
        id: iconImage

        source: footer.icon

        anchors.left: parent.left
        anchors.leftMargin: source !== "" ? grid.unit*3 : 0;
        anchors.verticalCenter: parent.verticalCenter

        visible: textIdText.text !== ""
    }

    Text {
        id: textIdText
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: iconImage.right
        anchors.leftMargin: footer.icon !== "" ? grid.unit*3 : 0

        width: parent.width - (footer.icon !== "" ? iconImage.width : 0)
        color: colors.textNormal
        font.pixelSize: fonts.smallSize
        font.family: fonts.family
        wrapMode: Text.Wrap
    }
}
