import QtQuick 1.1

//
// ListView header used by SettingsPage and ValueSelectorPage
//

Item {
    property alias setting: settingTextItem.text
    property bool basePage: true
    signal clicked()

    id: settingsHeader
    width: grid.width
    height: grid.cellHeight + grid.verticalSpacing * 2 + grid.topMargin

    Image {
        visible: mouseArea.pressed
        anchors.horizontalCenter: arrow.horizontalCenter
        source: "../images/Bg_MenuHorizontalMain_Marker_Foc.png"
    }

    Image {
        id: arrow
        anchors.left: parent.left
        anchors.leftMargin: grid.unit*2.5
        anchors.verticalCenter: parent.verticalCenter
        source: "../images/Ic_List_ArrowLeft_Def.png"

        MouseArea {
            id: mouseArea
            anchors.fill: parent
            onClicked: {
                settingsHeader.clicked()
            }
        }
    }

    Text {
        id: settingTextItem
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: arrow.right
        anchors.leftMargin: 6
        color: colors.white
        font.pixelSize: fonts.smallSize
        font.family: fonts.family
        font.bold: true
    }

    BorderImage {
        id: lineImage
        source: "../images/Bg_DialoguePopUp_Line_Def.png"
        border { left: 50; top: 0; right: 50; bottom: 0 }
        anchors.left: parent.left
        anchors.leftMargin: grid.horizontalSpacing
        anchors.right: parent.right
        anchors.rightMargin: grid.horizontalSpacing
        anchors.bottom: parent.bottom
    }
}
