import QtQuick 1.1

// ToolBar
// -------
// Generic tool bar element, used for all tool bars.


import QtQuick 1.0
//import "keyboard.js" as JsContext

Rectangle {
//    anchors.fill: parent
    color: "black"
    id: keyboard

    property QtObject model
    property TextEdit textField

//    property int cursorPosition: textField.cursorPosition
//    onCursorPositionChanged: console.log("Keyboard::onCursor " + cursorPosition)

    // keyboard case Enum declaration (qml-style)
    property alias keyboardShiftStates: keyboardShiftStatesEnum
    QtObject {
        id: keyboardShiftStatesEnum
        property int shifted: 1
        property int caps_lock: 2
        property int alternate: 4
        property int shiftstate_default: 0
    }

    property bool lowerCaseVisible: (!(keyboardShiftState & keyboardShiftStates.shifted) && !(keyboardShiftState & keyboardShiftStates.alternate))
    property bool upperCaseVisible: (keyboardShiftState & keyboardShiftStates.shifted && !(keyboardShiftState & keyboardShiftStates.alternate))
    property bool special1Visible: (!(keyboardShiftState & keyboardShiftStates.shifted) && keyboardShiftState & keyboardShiftStates.alternate)
    property bool special2Visible: (keyboardShiftState & keyboardShiftStates.shifted && keyboardShiftState & keyboardShiftStates.alternate)


    // "Public" properties
    property string language: "en_US.xml"
    property int primaryCharacterSize:15 // 13
    property int secondaryCharacterSize: 9
    property color primaryCharacterColor: "#FFFFFF"
    property color secondaryCharacterColor: "#888888"
    property int keyBackgroundMargin: 3
    property int keySecondaryMargin: 5
    property int keyPrimaryMargin: 6
    property int keyMouseAreaMargin: 1
    property int keyboardShiftState: keyboardShiftStates.shiftstate_default


    // "Internal" properties
    property int rowHight : keyboard.height / 4


    function init() {
        initCursor()
    }

    function initCursor() {
//        console.log("Set cursor position: " + text.length);
        textField.cursorVisible = true;
        textField.cursorPosition = textField.text.length
    }

    Column{
        anchors.fill: parent
        anchors.margins: 1

        Row{
            Repeater {
                model: keyboard.model.row0cppModel

                KeyDelegate {
                    keyWidth: weight/keyboard.model.row0TotalWeight*keyboard.width
                }
            }
        }

        Row{
            Repeater {
                model: keyboard.model.row1cppModel

                KeyDelegate {
                    keyWidth: weight/keyboard.model.row1TotalWeight*keyboard.width
                }
            }
        }

        Row{
            Repeater {
                model: keyboard.model.row2cppModel

                KeyDelegate {
                    keyWidth: weight/keyboard.model.row2TotalWeight*keyboard.width
                }
            }
        }

        Row{
            Repeater {
                model: keyboard.model.row3cppModel

                KeyDelegate {
                    keyWidth: weight/keyboard.model.row3TotalWeight*keyboard.width
                }
            }
        }

    }
}


