import QtQuick 1.1

/**
 *  This QML file is the delegate for the C++ class StringlistMenuItem.
 */
FocusScope {
    width: (model == null ? 1 : Math.min(6, Math.max(1, model.widthHint))) * grid.cellWidth
    height: 153
    id: root
    property QtObject model: null


    BorderImage {
        anchors.fill: parent
        border { left: 10; top: 10; right: 10; bottom: 10 }
        source: "../images/Bg_MenuMiniWidget_Def.png"

        NewValueSelectorList {
            anchors.fill: parent
            focus: true
            model: root.model == null ? null : root.model.model
            currentIndex: root.model == null ? 0 : root.model.selectedIndex()
            onActivated: root.model.commit()
            onCurrentIndexChanged: {
                if (currentIndex != 0 && root.model !== null)
                    root.model.setSelected(currentIndex)
            }
            Keys.onReleased: {
                event.accepted = false;
                if (event.key === keys.back) {
                    root.model.revert()
                    root.visible =  false
                    event.accepted = true
                }
            }

        }
    }
    Keys.onDownPressed: ; // eat those events
    Keys.onLeftPressed: ; // eat those events
    Keys.onRightPressed: ; // eat those events
    // debug
    // Text { text: "StringListMenu has focus " + parent.activeFocus; x: -180; y: 30; color:"yellow"; visible: isCurrent }
}
