import QtQuick 1.1

//! Toolbars overlay.
//!
//! This Item is positioned to be full-screen and show the toolbars.
//! We have two toolbars, one for each row, which are fed by data owned by the 'menus' QObject.
//! Notice that each toolbar only shows something when the datamodel has data, they are zero width otherwise.
//!
//! @ingroup QML

FocusScope {
    anchors.fill: parent
    id: toolbarsLayer
    visible: !pogo

    ToolBar {
        id: toolbarLevel1
        width: parent.width
        anchors.bottom: parent.bottom
        anchors.bottomMargin: grid.bottomMargin + grid.verticalSpacing
        model: menus.menuLevel1
        isRootLevelToolbar: true
    }

    ToolBar {
        id: toolbarLevel2
        width: parent.width
        anchors.bottom: toolbarLevel1.top
        anchors.bottomMargin: grid.verticalSpacing
        model: menus.menuLevel2
    }
}
