import QtQuick 1.1

/**
 *  This QML file is the delegate for the C++ class TwinListMenu.
 */

FocusScope {
    width: grid.cellWidth * 5
    height: 153
    id: root
    property QtObject model: null

    BorderImage {
        anchors.fill: parent
        border { left: 10; top: 10; right: 10; bottom: 10 }
        source: "../images/Bg_MenuHorizontalMain_Bar_Def.png"

        Row {
            NewValueSelectorList {
                id: leftList
                model: root.model == null ? null : root.model.leftModel
                onActivated: root.model.setSelection(leftList.currentIndex, rightList.currentIndex);
                width: root.width / 2
                height: root.height
                listViewHeight: root.height
                focus: true
                Keys.onRightPressed: rightList.focus = true
                showScrollArrows: true

                onActiveFocusChanged: {
                    if (focus)
                    {
                        setFullHeight(true)
                        showScrollArrows = true
                    }
                    else
                    {
                        setFullHeight(false)
                        showScrollArrows = false
                    }
                }

            }

            Text {
                text: "-"
                anchors.verticalCenter: parent.verticalCenter
                anchors.verticalCenterOffset: 3
                font.pixelSize: fonts.smallSize
                font.family: fonts.family
                color: colors.textNormal
            }

            NewValueSelectorList {
                id: rightList
                model: root.model == null ? null : root.model.rightModel
                onActivated: root.model.setSelection(leftList.currentIndex, rightList.currentIndex);
                width: root.width / 2
                height: root.height
                listViewHeight: grid.cellHeight
                Keys.onLeftPressed: leftList.focus = true
                showScrollArrows: false

                onActiveFocusChanged: {
                    if (focus)
                    {
                        setFullHeight(true)
                        showScrollArrows = true
                    }
                    else
                    {
                        setFullHeight(false)
                        showScrollArrows = false
                    }
                }
            }
        }
    }

    Keys.onDownPressed: ; // eat those events
    Keys.onLeftPressed: ; // eat those events
    Keys.onRightPressed: ; // eat those events
}
