// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import se.flir 1.0


Item {
    objectName: "videoPlaybackOverlayObject"
    anchors.fill: parent

    function showActionIndicator(action) {
        if(action === "play")
            actionIndicatorImage.source = "../images/Ic_Player_Play_Sel.png";
        else if(action === "pause")
            actionIndicatorImage.source = "../images/Ic_Player_Paus_Sel.png";
    }

    BorderImage {
        id: backgroundImage
        anchors.top: parent.top
        anchors.horizontalCenter: parent.horizontalCenter
        width: elapsedTimeText.width + actionIndicatorImage.width + 4
        height: elapsedTimeText.height + 4
        anchors.margins: 4
        border { left: grid.unit; top: grid.unit; right: grid.unit; bottom: grid.unit }
        source: "../images/Bg_Notification_Bar_Def.png"

        Image{
            id: actionIndicatorImage
            anchors.left: parent.left
            anchors.verticalCenter: parent.verticalCenter
            source: "" // Set by showActionIndicator()
        }

        Text{
            id: elapsedTimeText
            anchors.right: parent.right
            anchors.rightMargin: 3
            anchors.verticalCenter: parent.verticalCenter
            font.pointSize: 12
            font.bold: true
            color: "white"

            text: archiveHandler.videoCurrentTime + " / " + archiveHandler.videoTotalTime
        }
    }

    Keys.onPressed: {
        if(event.key === keys.select)
        {
            archiveHandler.toggleVideoPlayback()
            console.log("Keys.onPressed: Toggle play/pause.");

        }
        event.accepted = true
    }

    Keys.onReleased: {
        if (event.key === keys.back) {
            archiveHandler.view = ArchiveHandler.ImageSelector
            archiveHandler.exitVideoPlayback()
            event.accepted = true
        }
        else if(event.key === keys.archive)
        {
            archiveHandler.view = ArchiveHandler.Thumbnails
            archiveHandler.exitVideoPlayback()
            // Pass event on to archive
        }
        else if(event.key === keys.select)
        {
            event.accepted = true
        }
        else
        {

        }
    }


    MouseArea{
        anchors.fill: parent
        onReleased: archiveHandler.toggleVideoPlayback()
    }

}
